<tool id="Convert characters1" name="Convert" version="1.0.0">
  <description>delimiters to TAB</description>
  <command interpreter="python">
convert_characters.py
#if $strip
  --strip
#end if
#if $condense
  --condense
#end if
$input $convert_from $out_file1


  </command>
  <inputs>
    <param name="convert_from" type="select" label="Convert all">
      <option value="s">Whitespaces</option>
      <option value="T">Tabs</option>
      <!--<option value="Sp">Spaces</option>-->
      <option value="Dt">Dots</option>
      <option value="C">Commas(,)</option>
      <option value="Sc">Semicolons(;)</option>
      <option value="D">Dashes</option>
      <option value="U">Underscores</option>
      <option value="P">Pipes</option>
      <option value="Co">Colons</option>
    </param>
    <param format="txt" name="input" type="data" label="in Dataset"/>
    <param name="strip" type="boolean" checked="true" label="Strip leading and trailing whitespaces" />
    <param name="condense" type="boolean" checked="true" label="Condense consecutive delimiters in one TAB" />
  </inputs>
  <outputs>
    <data format="tabular" name="out_file1" label="${input.name}" />
  </outputs>
  <stdio>
    <exit_code range="1:" level="fatal" />
  </stdio>
  <tests>
    <test>
      <param name="convert_from" value="s"/>
      <param name="input" value="1.bed"/>
      <param name="strip" value="true" />
      <param name="condense" value="true" />
      <output name="out_file1" file="eq-convert.dat"/>
    </test>
    <test>
      <param name="convert_from" value="s"/>
      <param name="input" value="a.txt"/>
      <param name="strip" value="true" />
      <param name="condense" value="true" />
      <output name="out_file1" file="a.tab"/>
    </test>
  </tests>
  <help>

=========================
Convert delimiters to tab
=========================

-----------
Description
-----------

Converts all delimiters of a specified type into TABs. Consecutive delimiters can be condensed in a single TAB.

-----

**Example**

- Input file::

    chrX||151283558|151283724|NM_000808_exon_8_0_chrX_151283559_r|0|-
    chrX|151370273|151370486|NM_000808_exon_9_0_chrX_151370274_r|0|-
    chrX|151559494|151559583|NM_018558_exon_1_0_chrX_151559495_f|0|+
    chrX|151564643|151564711|NM_018558_exon_2_0_chrX_151564644_f||||0|+

- Converting all pipe delimiters of the above file to TABs and condensing delimiters will get::

    chrX  151283558  151283724  NM_000808_exon_8_0_chrX_151283559_r  0  -
    chrX  151370273  151370486  NM_000808_exon_9_0_chrX_151370274_r  0  -
    chrX  151559494  151559583  NM_018558_exon_1_0_chrX_151559495_f  0  +
    chrX  151564643  151564711  NM_018558_exon_2_0_chrX_151564644_f  0  +

  </help>
</tool>
